### Method

# Phosh DBusLoginManager call_get_session_finish

#### Declaration [src]

    gboolean
    phosh_dbus_login_manager_call_get_session_finish (
      PhoshDBusLoginManager* proxy,
      gchar** out_object_path,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an operation started with phosh_dbus_login_manager_call_get_session().

#### Parameters

`out_object_path`

  Type: `gchar**`

  Return location for return parameter or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`res`

  Type: `GAsyncResult`

  The `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to phosh_dbus_login_manager_call_get_session().

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the call succeeded, `FALSE` if `error` is set.